Symantec Security Products Vulnerability

A recent vulnerability to Symantec Endpoint Protection and other Symantec security products has been discovered that could cause the computers and servers of Penn State students, faculty, and staff to become infected with malicious code. This vulnerability is expected to have worldwide impact, and many organizations are urging their users to take corrective action.

To protect personal and University-owned computers from this vulnerability, individuals who use Symantec for antivirus protection should immediately update to the most recent version for their operating system.

Instructions are available to help Mac users and Windows users download and install the new version of Symantec Endpoint Protection.

Those who do not have administrative rights to their computers will need to contact their local IT support or call the IT Service Desk at 814-865-4357.